{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'Events' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Events" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">Event ID</th>
                                <th scope="col">{% trans "Title" %}</th>
                                <th scope="col">{% trans "Date" %}</th>
                                <th scope="col">{% trans "Participants" %}</th>
                                <th scope="col">{% trans "Max Participants" %}</th>
                                <th scope="col">
                                    {% if perms.events.manage_events %}
                                    <a class="btn btn-sm btn-success" href="{% url 'events:create' %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Create Event' %}">
                                        <i class="fas fa-plus fa-fw"></i>
                                    </a>
                                    {% endif %}
                                    <a class="btn btn-sm btn-info" href="{% url 'events:calendar' %}" data-toggle="tooltip"
                                        title="{% trans 'Calendar' %}">
                                        <i class="fas fa-calendar-alt fa-fw"></i>
                                    </a>
                                    <a class="btn btn-sm btn-secondary" class="btn btn-primary" data-toggle="modal"
                                        data-target="#icalsubscribe">
                                        <i class="fas fa-download fa-fw"></i>
                                    </a>
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            {% for event in event_list %}
                            <tr>
                                <td>{{ event.pk }}</td>
                                <td>{{ event.title }}</td>
                                <td>{{ event.start_date }}</td>
                                <td>{{ event.participants.count }}</td>
                                {% if event.max_participants == -1 %}
                                <td>&#8734;</td>
                                {% else %}
                                <td>{{ event.max_participants }}</td>
                                {% endif %}
                                <td>
                                    <a class="btn btn-sm btn-info" href="{% url 'events:detail' pk=event.pk %}" data-toggle="tooltip"
                                        title="{% trans 'Detail Event' %}">
                                        <i class="fas fa-eye fa-fw"></i>
                                    </a>
                                    {% if perms.events.manage_events %}
                                    <a class="btn btn-sm btn-warning"
                                        href="{% url 'events:edit' pk=event.pk %}?next={{ request.get_full_path }}" data-toggle="tooltip"
                                        title="{% trans 'Edit Event' %}">
                                        <i class="fas fa-pen fa-fw"></i>
                                    </a>
                                    <a class="btn btn-sm btn-danger"
                                        href="{% url 'events:delete' pk=event.pk %}?next={{ request.get_full_path }}" data-toggle="tooltip"
                                        title="{% trans 'Delete Event' %}">
                                        <i class="fas fa-trash fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    <hr>
                    <div class="container-fluid no-gutters">
                        <div class="row">
                            <a class="btn btn-outline-secondary {{ previous_btn.active }}" data-toggle="button"
                                aria-pressed="{{ previous_btn.pressed }}" href="{% url 'events:list' %}{{ previous_btn.href }}">
                                {{ previous_btn.text }} <span class="badge badge-success font-weight-normal"><i
                                        class='fas fa-history fa-fw'></i> PREVIOUS EVENTS</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="icalsubscribe" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">iCal Subscribe</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>Downloading the iCal will not update your calendar each time a new event is created</p>
                <div class="input-group mb-3">
                    <input type="text" id="linktoical" class="form-control" value="{{ request.get_host }}{% url 'events:subscribe' %}"
                        readonly>
                    <div class="input-group-append">
                        <a class="btn btn-outline-secondary" onclick="copyClipboard()"><i class="fas fa-clipboard fa-fw"></i></a>
                        <a type="button" class="btn btn-outline-primary" href="{% url 'events:subscribe' %}">
                            <i class="fas fa-download"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function copyClipboard() {
        var copyText = document.getElementById("linktoical");
        copyText.select();
        document.execCommand("copy");
    }
</script>
{% endblock content%}